Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/pages.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/pages.py	(revision 11947)
@@ -2367,5 +1605,5 @@
             # No need to flash something.
             return
-        # Search student or applicant
+        # Search customer
         identifier = data['identifier']
         email = data['email']
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/pdf.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/pdf.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/pdf.py	(revision 11947)
@@ -566,37 +566,4 @@
 
     @classmethod
-    def _addCourse(cls, table_data, row_num, course_label, course_link,
-                   lang, domain):
-        """Add course data to `table_data`.
-        """
-        if not course_label or not course_link:
-            return table_data, row_num
-        f_label= translate(
-            _(course_label), domain, target_language=lang)
-        f_label = Paragraph(f_label, ENTRY1_STYLE)
-        f_text = Paragraph(course_link, ENTRY1_STYLE)
-        table_data.append([f_label, f_text])
-        row_num += 1
-        return table_data, row_num
-
-    @classmethod
-    def _addDeptAndFaculty(cls, table_data, row_num, dept, faculty,
-                           lang, domain):
-        """Add `dept` and `faculty` as table rows to `table_data`.
-
-        `dept` and `faculty` are expected to be strings or None. In
-        latter case they are not put into the table.
-        """
-        for label, text in (('Department:', dept), ('Faculty:', faculty)):
-            if text is None:
-                continue
-            label = translate(_(label), domain, target_language=lang)
-            table_data.append([
-                Paragraph(label, ENTRY1_STYLE),
-                Paragraph(text, ENTRY1_STYLE)])
-            row_num += 1
-        return table_data, row_num
-
-    @classmethod
     def _drawSignatureBoxes(cls, canvas, width, height, signatures=[]):
         """Draw signature boxes into canvas.
@@ -661,6 +628,5 @@
     def getWidgetsTable(self, form_fields, context, view, lang='en',
                         domain='waeup.kofa', separators=None,
-                        course_label=None, course_link=None, dept=None,
-                        faculty=None, colWidths=None, twoDataCols=False):
+                        colWidths=None, twoDataCols=False):
         """Return a reportlab `Table` instance, created from widgets
         determined by `form_fields` and `context`.
@@ -679,11 +645,4 @@
         - `separators`
            a list of separators.
-        - `course_label` and `course_link`
-           if a course should be added to the table, `course_label`
-           and `course_link` can be given, both being strings. They
-           will be rendered in an extra-row.
-        - `dept` and `faculty`
-           if these are given, we render extra rows with faculty and
-           department.
         - `colWidths`
            defines the the column widths of the data in the right column
@@ -699,12 +658,4 @@
         table_data, row_num = self._getWidgetsTableData(
             widgets, separators, domain, lang, twoDataCols)
-
-        # Add course (admitted, etc.) if applicable
-        table_data, row_num = self._addCourse(
-            table_data, row_num, course_label, course_link, lang, domain,)
-
-        ## Add dept. and faculty if applicable
-        table_data, row_num = self._addDeptAndFaculty(
-            table_data, row_num, dept, faculty, lang, domain)
 
         # render two-column table of tables if applicable
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/tests/test_permissions.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/tests/test_permissions.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/tests/test_permissions.py	(revision 11947)
@@ -38,23 +38,9 @@
 manager_pages = [
     # The pages that should only be accessible by manager...
-    '/@@manage', '/@@administration', '/faculties/@@search',
+    '/@@manage', '/@@administration',
     '/users/@@index', '/users/@@add', '/users/alice/@@manage',
     '/datacenter/@@index', '/datacenter/@@upload', '/datacenter/@@import1',
     '/datacenter/@@import2', '/datacenter/@@import3', '/datacenter/@@import4',
     '/datacenter/@@logs', '/datacenter/@@show', '/datacenter/@@manage',
-    '/faculties/@@index', '/faculties/@@add', '/faculties/@@manage',
-    '/faculties/fac1/@@index', '/faculties/fac1/@@manage',
-    '/faculties/fac1/@@add',
-    '/faculties/fac1/dept1/@@index',
-    '/faculties/fac1/dept1/@@manage',
-    '/faculties/fac1/dept1/@@addcourse',
-    '/faculties/fac1/dept1/@@addcertificate',
-    '/faculties/fac1/dept1/courses/crs1/@@index',
-    '/faculties/fac1/dept1/courses/crs1/@@manage',
-    '/faculties/fac1/dept1/certificates/cert1/@@index',
-    '/faculties/fac1/dept1/certificates/cert1/@@manage',
-    '/faculties/fac1/dept1/certificates/cert1/@@addcertificatecourse',
-    '/faculties/fac1/dept1/certificates/cert1/crs1_100/@@index',
-    '/faculties/fac1/dept1/certificates/cert1/crs1_100/@@manage',
     ]
 public_pages = [
@@ -79,17 +65,4 @@
         app['datacenter'].setStoragePath(self.dc_root)
         app['users'].addUser('alice', 'alice')
-        fac1 = createObject('waeup.Faculty')
-        fac1.code = "fac1"
-        app['faculties'].addFaculty(fac1)
-        dept = createObject('waeup.Department')
-        dept.code = 'dept1'
-        fac1.addDepartment(dept)
-        course = createObject('waeup.Course')
-        course.code = 'crs1'
-        dept.courses.addCourse(course)
-        cert = createObject('waeup.Certificate')
-        cert.code = 'cert1'
-        dept.certificates.addCertificate(cert)
-        cert.addCertCourse(course)
 
         self.browser = Browser()
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/viewlets.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/viewlets.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/viewlets.py	(revision 11947)
@@ -24,10 +24,8 @@
 from zope.traversing.browser import absoluteURL
 from waeup.kofa.browser.pages import (
-    UniversityPage, FacultiesContainerPage, DatacenterPage, FacultyPage,
-    DepartmentPage, CoursePage, CertificatePage, CertificateCoursePage,
+    UniversityPage, DatacenterPage,
     UsersContainerPage, UserManageFormPage)
 from waeup.kofa.browser.interfaces import (
-    IFacultiesContainer, IFaculty, IDepartment, ICourse, ICertificate,
-    ICertificateCourse, IBreadcrumbContainer, IUniversity, IUsersContainer)
+    IBreadcrumbContainer, IUniversity, IUsersContainer)
 from waeup.kofa.interfaces import (
     IKofaUtils, IKofaObject, IKofaXMLExporter,
@@ -399,181 +397,4 @@
     grok.order(1)
 
-class ManageFacultiesContainerActionButton(ManageActionButton):
-    """ 'Manage settings' button for faculties.
-    """
-    grok.context(IFacultiesContainer)
-    grok.view(FacultiesContainerPage)
-    text = _('Manage academic section')
-
-class ExportFacultiesStudentsActionButton(ManageActionButton):
-    """ 'Export student data' button for faculties.
-    """
-    grok.context(IFacultiesContainer)
-    grok.view(FacultiesContainerPage)
-    grok.name('exportfacultystudents')
-    grok.require('waeup.showStudents')
-    icon = 'actionicon_down.png'
-    text = _('Export student data')
-    target = 'exports'
-    grok.order(3)
-
-class SearchFacultiesContainerActionButton(ManageActionButton):
-    """ 'Manage settings' button for faculties.
-    """
-    grok.context(IFacultiesContainer)
-    grok.view(FacultiesContainerPage)
-    text = _('Search academic section')
-    icon = 'actionicon_search.png'
-    target = '@@search'
-    
-class ManageFacultyActionButton(ManageActionButton):
-    """ 'Manage settings' button for faculties.
-    """
-    grok.context(IFaculty)
-    grok.view(FacultyPage)
-    text = _('Manage faculty')
-
-class StudentSearchActionButton(ManageActionButton):
-    grok.order(2)
-    grok.context(IFaculty)
-    grok.view(FacultyPage)
-    grok.name('findstudents')
-    grok.require('waeup.showStudents')
-    text = _('Find students')
-    icon = 'actionicon_search.png'
-    target = 'find_students'
-
-class ManageDepartmentActionButton(ManageActionButton):
-    """ 'Manage settings' button for departments.
-    """
-    grok.context(IDepartment)
-    grok.view(DepartmentPage)
-    text = _('Manage department')
-    grok.order(1)
-
-class ShowDepartmentStudentsActionButton(ManageActionButton):
-    """ 'Show students' button for departments.
-    """
-    grok.context(IDepartment)
-    grok.view(DepartmentPage)
-    grok.name('showdepartmentstudents')
-    grok.require('waeup.showStudents')
-    icon = 'actionicon_student.png'
-    text = _('Show students')
-    target = 'students'
-    grok.order(2)
-
-class ExportDepartmentStudentsActionButton(ManageActionButton):
-    """ 'Export student data' button for departments.
-    """
-    grok.context(IDepartment)
-    grok.view(DepartmentPage)
-    grok.name('exportdepartmentstudents')
-    grok.require('waeup.showStudents')
-    icon = 'actionicon_down.png'
-    text = _('Export student data')
-    target = 'exports'
-    grok.order(3)
-
-class ClearDepartmentStudentsActionButton(ManageActionButton):
-    """ 'Clear all students' button for departments.
-    """
-    grok.context(IDepartment)
-    grok.view(DepartmentPage)
-    grok.name('cleardepartmentstudents')
-    grok.require('waeup.clearAllStudents')
-    icon = 'actionicon_accept.png'
-    text = _('Clear all students')
-    target = 'clearallstudents'
-    grok.order(4)
-
-    @property
-    def onclick(self):
-        return "return window.confirm(%s);" % _(
-            "'All students, who requested clearance in this department, will be cleared. Are you sure?'")
-
-class ManageCourseActionButton(ManageActionButton):
-    """ 'Edit settings' button for courses.
-    """
-    grok.context(ICourse)
-    grok.view(CoursePage)
-    text = _('Edit course')
-    grok.order(1)
-    
-class ShowCourseStudentsActionButton(ManageActionButton):
-    """ 'Show students' button in course.
-    """
-    grok.context(ICourse)
-    grok.view(CoursePage)
-    grok.name('showcoursestudents')
-    grok.require('waeup.showStudents')
-    icon = 'actionicon_student.png'
-    text = _('Show students')
-    target = 'students'
-    grok.order(2)
-
-class ExportCourseStudentsActionButton(ManageActionButton):
-    """ 'Export student data' button for courses.
-    """
-    grok.context(ICourse)
-    grok.view(CoursePage)
-    grok.name('exportcoursestudents')
-    grok.require('waeup.showStudents')
-    icon = 'actionicon_down.png'
-    text = _('Export student data')
-    target = 'exports'
-    grok.order(3)
-
-class UpdateScoresActionButton(ManageActionButton):
-    """ 'Update scores' button in course.
-    """
-    grok.context(ICourse)
-    grok.view(CoursePage)
-    grok.name('updatescores')
-    grok.require('waeup.editScores')
-    icon = 'actionicon_scores.png'
-    text = _('Update scores')
-    target = 'edit_scores'
-    grok.order(4)
-
-class ManageCertificateActionButton(ManageActionButton):
-    """ 'Manage settings' button for certificates.
-    """
-    grok.context(ICertificate)
-    grok.view(CertificatePage)
-    text = _('Manage certificate')
-    grok.order(1)
-
-class ShowCertificateStudentsActionButton(ManageActionButton):
-    """ 'Show students' button for certificates.
-    """
-    grok.context(ICertificate)
-    grok.view(CertificatePage)
-    grok.name('showcertificatestudents')
-    grok.require('waeup.showStudents')
-    icon = 'actionicon_student.png'
-    text = _('Show students')
-    target = 'students'
-    grok.order(2)
-
-class ExportCertificateStudentsActionButton(ManageActionButton):
-    """ 'Export student data' button for certificates.
-    """
-    grok.context(ICertificate)
-    grok.view(CertificatePage)
-    grok.name('exportcertificatestudents')
-    grok.require('waeup.showStudents')
-    icon = 'actionicon_down.png'
-    text = _('Export student data')
-    target = 'exports'
-    grok.order(3)
-
-class ManageCertificateCourseActionButton(ManageActionButton):
-    """ 'Manage settings' button for certificate courses.
-    """
-    grok.context(ICertificateCourse)
-    grok.view(CertificateCoursePage)
-    text = _('Edit certificate course')
-
 class AddUserActionButton(AddActionButton):
     grok.require('waeup.manageUsers')
@@ -676,18 +497,5 @@
 #    tab_title = u'Home'
 
-class FacultiesTab(PrimaryNavTab):
-    """Faculties-tab in primary navigation.
-    """
-    grok.order(2)
-    grok.require('waeup.viewAcademics')
-
-    pnav = 1
-    tab_title = _(u'Academics')
-
-    @property
-    def link_target(self):
-        return self.view.application_url('faculties')
-
-    
+
 class EnquiriesTab(PrimaryNavTab):
     """Contact tab in primary navigation.
@@ -793,50 +601,2 @@
         super(SubobjectLister, self).update()
         return
-
-
-class FacultiesContainerListHead(grok.Viewlet):
-    """The header line of faculty container subobject lists.
-    """
-    grok.order(1)
-    grok.viewletmanager(SubobjectLister)
-    grok.context(IFacultiesContainer)
-    grok.require('waeup.viewAcademics')
-
-    def render(self):
-        return u'<th>Code</th><th>Title</th><th></th>'
-
-class FacultyListName(grok.Viewlet):
-    """Display a the title of a faculty as link in a list.
-    """
-    grok.order(1)
-    grok.viewletmanager(SubobjectLister)
-    grok.context(IFaculty)
-    grok.require('waeup.viewAcademics')
-
-    def render(self):
-        return u'<a href="%s">%s</a>' % (
-            self.view.url(self.context), self.context.__name__)
-
-class FacultyListTitle(grok.Viewlet):
-    """Display the title of a faculty in a list.
-    """
-    grok.order(2)
-    grok.viewletmanager(SubobjectLister)
-    grok.context(IFaculty)
-    grok.require('waeup.viewAcademics')
-
-    def render(self):
-        return self.context.title
-
-class FacultyRemoveButton(grok.Viewlet):
-    """Render a remove button for faculty lists.
-    """
-    grok.order(3)
-    grok.viewletmanager(SubobjectLister)
-    grok.context(IFaculty)
-    grok.require('waeup.manageAcademics')
-
-    def render(self):
-        return u'<div class="text-right"><form method="POST">' + \
-            '<input class="text-right" type="submit" value="remove" />' + \
-            '</form></div>'
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/configuration.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/configuration.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/configuration.py	(revision 11947)
@@ -24,5 +24,5 @@
 from waeup.kofa.interfaces import (
     ISessionConfiguration, IConfigurationContainer, ISessionConfigurationAdd,
-    academic_sessions_vocab)
+    application_sessions_vocab)
 from waeup.kofa.utils.helpers import attrs_to_fields
 
@@ -41,5 +41,5 @@
                 'ConfigurationContainers contain only '
                 'ISessionConfiguration instances')
-        code = unicode(sessionconfiguration.academic_session)
+        code = unicode(sessionconfiguration.application_session)
         self[code] = sessionconfiguration
         return
@@ -55,5 +55,5 @@
 
     def getSessionString(self):
-        return academic_sessions_vocab.getTerm(self.academic_session).title
+        return application_sessions_vocab.getTerm(self.application_session).title
 
 SessionConfiguration = attrs_to_fields(SessionConfiguration)
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/imagestorage.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/imagestorage.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/imagestorage.py	(revision 11947)
@@ -20,5 +20,5 @@
 A few words about storing files with ``waeup.kofa``. The need for this
 feature arised initially from the need to store passport files for
-applicants and students. These files are dynamic (can be changed
+customers. These files are dynamic (can be changed
 anytime), mean a lot of traffic and cost a lot of memory/disk space.
 
@@ -97,6 +97,6 @@
 
 The file store supports special handling for certain files. For
-example we want applicant images to be stored in a different directory
-than student images, etc. Because the file store cannot know all
+example we want some customer images to be stored in a different directory
+than other customer images, etc. Because the file store cannot know all
 details about these special treatment of certain files, it looks up
 helpers (handlers) to provide the information it needs for really
@@ -120,5 +120,5 @@
 
 Examples for such a file store handler can be found in the
-:mod:`waeup.kofa.applicants.applicant` module. Please see also the
+:mod:`waeup.kofa.customers.customer` module. Please see also the
 :class:`DefaultFileStoreHandler` class below for more details.
 
@@ -169,14 +169,14 @@
 
 Often the internal filename or file id of a file depends on a
-context. For example when we store passport photographs of applicants,
-then each image belongs to a certain applicant instance. It is not
-difficult to maintain such a connection manually: Say every applicant
+context. For example when we store passport photographs of customers,
+then each image belongs to a certain customer instance. It is not
+difficult to maintain such a connection manually: Say every customer
 had an id, then we could put this id into the filename as well and
 would build the filename to store/get the connected file by using that
 filename. You then would create filenames of a format like this::
 
-  __<MARKER-STRING>__applicant0001
-
-where ``applicant0001`` would tell exactly which applicant you can see
+  __<MARKER-STRING>__customer0001
+
+where ``customer0001`` would tell exactly which customer you can see
 on the photograph. You notice that the internal file id might have
 nothing to do with once uploaded filenames. The id above could have
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/interfaces.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/interfaces.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/interfaces.py	(revision 11947)
@@ -84,10 +84,10 @@
             SimpleTerm(value, value, title) for title, value in terms])
 
-def academic_sessions():
+def application_sessions():
     curr_year = datetime.now().year
     year_range = range(1995, curr_year + 2)
     return [('%s/%s' % (year,year+1), year) for year in year_range]
 
-academic_sessions_vocab = SimpleKofaVocabulary(*academic_sessions())
+application_sessions_vocab = SimpleKofaVocabulary(*application_sessions())
 
 registration_states_vocab = SimpleKofaVocabulary(
@@ -145,10 +145,4 @@
         return dict(getUtility(IKofaUtils).EXAM_GRADES)[value]
 
-class DisablePaymentGroupSource(ContextualDictSourceFactoryBase):
-    """A source for filtering groups of students
-    """
-    #: name of dict to deliver from kofa utils.
-    DICT_NAME = 'DISABLE_PAYMENT_GROUP_DICT'
-
 # Define a validation method for email addresses
 class NotAnEmailAddress(schema.ValidationError):
@@ -278,5 +272,5 @@
         """Send credentials as email.
 
-        Input is the applicant for which credentials are sent and the
+        Input is the customer for which credentials are sent and the
         password.
 
@@ -531,5 +525,5 @@
         title = _(u'Public Name'),
         description = u"Substitute for officer's real name "
-                       "in student object histories.",
+                       "in object histories.",
         required = False,)
 
@@ -655,26 +649,4 @@
         )
 
-    carry_over = schema.Bool(
-        title = _(u'Carry-over Course Registration'),
-        default = False,
-        )
-
-    current_academic_session = schema.Choice(
-        title = _(u'Current Academic Session'),
-        description = _(u'Session for which score editing is allowed'),
-        source = academic_sessions_vocab,
-        default = None,
-        required = False,
-        readonly = False,
-        )
-
-    next_matric_integer = schema.Int(
-        title = _(u'Next Matriculation Number Integer'),
-        description = _(u'Integer used for constructing the next '
-                         'matriculation number'),
-        default = 0,
-        readonly = False,
-        required = False,
-        )
 
 class ISessionConfiguration(IKofaObject):
@@ -682,7 +654,7 @@
     """
 
-    academic_session = schema.Choice(
-        title = _(u'Academic Session'),
-        source = academic_sessions_vocab,
+    application_session = schema.Choice(
+        title = _(u'Period'),
+        source = application_sessions_vocab,
         default = None,
         required = True,
@@ -690,47 +662,4 @@
         )
 
-    application_fee = schema.Float(
-        title = _(u'Application Fee'),
-        default = 0.0,
-        required = False,
-        )
-
-    clearance_fee = schema.Float(
-        title = _(u'Acceptance Fee'),
-        default = 0.0,
-        required = False,
-        )
-
-    booking_fee = schema.Float(
-        title = _(u'Bed Booking Fee'),
-        default = 0.0,
-        required = False,
-        )
-
-    maint_fee = schema.Float(
-        title = _(u'Rent (fallback)'),
-        default = 0.0,
-        required = False,
-        )
-
-    transcript_fee = schema.Float(
-        title = _(u'Transcript Fee'),
-        default = 0.0,
-        required = False,
-        )
-
-    clearance_enabled = schema.Bool(
-        title = _(u'Clearance enabled'),
-        default = False,
-        )
-
-    payment_disabled = schema.List(
-        title = _(u'Payment disabled'),
-        value_type = schema.Choice(
-            source = DisablePaymentGroupSource(),
-            ),
-        required = False,
-        default = [],
-        )
 
     def getSessionString():
@@ -743,7 +672,7 @@
     """
 
-    academic_session = schema.Choice(
+    application_session = schema.Choice(
         title = _(u'Academic Session'),
-        source = academic_sessions_vocab,
+        source = application_sessions_vocab,
         default = None,
         required = True,
@@ -751,6 +680,6 @@
         )
 
-ISessionConfigurationAdd['academic_session'].order =  ISessionConfiguration[
-    'academic_session'].order
+ISessionConfigurationAdd['application_session'].order =  ISessionConfiguration[
+    'application_session'].order
 
 class IDataCenter(IKofaObject):
@@ -873,5 +802,5 @@
     needing to know about that parts. The site simply collects all
     available plugins, calls them and the plugins care for their
-    respective subarea like the applicants area or the datacenter
+    respective subarea like the cutomers area or the datacenter
     area.
 
@@ -1112,5 +1041,5 @@
         interpret `attr` as a hint for what type of file for a given
         context should be stored if there are several types
-        possible. For instance for a certain student some file could
+        possible. For instance for a certain customer some file could
         be the connected passport photograph or some certificate scan
         or whatever. Each of them has to be stored in a different
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/mandates/container.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/mandates/container.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/mandates/container.py	(revision 11947)
@@ -56,5 +56,5 @@
     def setup(self, site, name, logger):
         if 'mandates' in site.keys():
-            logger.warn('Could not create container for faculties in Kofa.')
+            logger.warn('Could not create container for mandates in Kofa.')
             return
         site['mandates'] = MandatesContainer()
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/mandates/tests.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/mandates/tests.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/mandates/tests.py	(revision 11947)
@@ -85,5 +85,5 @@
         shutil.rmtree(self.dc_root)
 
-    def test_set_student_password(self):
+    def xx_test_set_student_password(self):
         student = createObject('waeup.Student')
         # Add and execute a mandate with missing parameters.
@@ -129,20 +129,4 @@
         self.assertTrue('system - PasswordMandate used: bob' in logcontent)
 
-    def test_set_applicant_password(self):
-        applicant = createObject('waeup.Applicant')
-        applicant.applicant_id = u'abc'
-        mandate = PasswordMandate()
-        mandate.params['user'] = applicant
-        mandate.params['password'] = 'mypwd1'
-        self.app['mandates'].addMandate(mandate)
-        msg = mandate.execute()
-        # Password has been set.
-        self.assertEqual(msg, 'Password has been successfully set. Login with your new password.')
-        self.assertTrue(IUserAccount(applicant).checkPassword('mypwd1'))
-        logfile = os.path.join(
-            self.app['datacenter'].storage, 'logs', 'main.log')
-        logcontent = open(logfile).read()
-        self.assertTrue('system - PasswordMandate used: abc' in logcontent)
-
     def test_remove_expired(self):
         # mandate1 is an old mandate which just expired.
@@ -159,5 +143,5 @@
         self.assertEqual([i for i in self.app['mandates'].keys()], [u'23456'])
 
-    def test_browser(self):
+    def xx_test_browser(self):
         student = createObject('waeup.Student')
         self.app['students'].addStudent(student)
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/payments/interfaces.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/payments/interfaces.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/payments/interfaces.py	(revision 11947)
@@ -19,5 +19,5 @@
 from zope import schema
 from waeup.kofa.interfaces import (
-    IKofaObject, SimpleKofaVocabulary, academic_sessions_vocab,
+    IKofaObject, SimpleKofaVocabulary, application_sessions_vocab,
     ContextualDictSourceFactoryBase)
 from waeup.kofa.interfaces import MessageFactory as _
@@ -68,5 +68,5 @@
     p_session = schema.Choice(
         title = _(u'Payment Session'),
-        source = academic_sessions_vocab,
+        source = application_sessions_vocab,
         required = True,
         )
@@ -133,18 +133,2 @@
     def approve():
         "Approve an online payment and set to paid."
-
-class IPayer(IKofaObject):
-    """An interface for an adapter to publish student and applicant data
-    through a simple webservice.
-
-    """
-    display_fullname = Attribute('Name of  payer')
-    id = Attribute('Id of payer')
-    reg_number = Attribute('Reg number of payer')
-    matric_number = Attribute('Matric number of payer')
-    faculty = Attribute('Faculty of payer')
-    department = Attribute('Department of payer')
-    email= Attribute('Email of payer')
-    phone= Attribute('Phone number of payer')
-    current_mode= Attribute('Current study mode of payer')
-    current_level= Attribute('Current level of payer')
